<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

/**
 * Class LoginPostRequest
 */
class LoginPostRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     */
    public function rules(): array
    {
        return [
            'login' => 'required|min:7|max:50',
            'password' => 'required|min:3|max:70',
        ];
    }

    /**
     * Set custom messages for validator errors.
     */
    public function messages(): array
    {
        return [
            'login.required' => 'Prihlasovacie meno je vyžadované',
            'login.min' => 'Minimálna dĺžka prihlasovacieho mena je :min znakov',
            'login.max' => 'Maximálna dĺžka prihlasovacieho mena je :max znakov',
            'password.required' => 'Heslo je vyžadované',
            'password.min' => 'Minimálna dĺžka hesla je :min znakov',
            'password.max' => 'Maximálna dĺžka hesla je :max znakov',
        ];
    }
}
